Bug 853574 - RFE - please change default permissions for client.cfg to 0644
RFE - please change default permissions for client.cfg to 0644
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mcollective (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 18:47 EDT by Adam Miller
Modified: 2012-09-26 17:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 13:45:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Miller 2012-08-31 18:47:34 EDT
Description of problem:

rubygem-openshift-origin-msg-broker-mcollective needs to be able to read client.cfg and is currently using the following method (though not very successfully as it isn't currently working) to change them to 0644

%attr(0644,-,-) %ghost %{_sysconfdir}/mcollective/client.cfg

ReviewRequest: https://bugzilla.redhat.com/show_bug.cgi?id=845107 

Please change the perms of %{_sysconfdir}/mcollective/client.cfg to 0644 

Thank you, 
-AdamM
Comment 1 Steve Traylen 2012-09-05 18:17:19 EDT
Hi Adam,

client.cfg of course typically contains a password so am not keen on 0644.

I suggest I add an mco group to group own the file and then you can call

%pre
getent group mco | grep -q apache || usermod -a -G mco apache
exit 0

in your package. Okay?

You should probably add

Requires(pre): mcollective-client
Requires(pre): qpid-server   # assuming that adds the apache user?
Requires(pre): shadow-utils
Comment 2 Steve Traylen 2012-09-05 18:17:49 EDT
Hi Adam,

client.cfg of course typically contains a password so am not keen on 0644.

I suggest I add an mco group to group own the file and then you can call

%pre
getent group mco | grep -q apache || usermod -a -G mco apache
exit 0

in your package. Okay?

You should probably add

Requires(pre): mcollective-client
Requires(pre): qpid-server   # assuming that adds the apache user?
Requires(pre): shadow-utils
Comment 3 Fedora Update System 2012-09-05 19:06:00 EDT
mcollective-2.0.0-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mcollective-2.0.0-6.fc17
Comment 4 Fedora Update System 2012-09-05 19:06:29 EDT
mcollective-2.0.0-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mcollective-2.0.0-6.el6
Comment 5 Fedora Update System 2012-09-05 19:06:39 EDT
mcollective-2.0.0-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mcollective-2.0.0-6.el5
Comment 6 Fedora Update System 2012-09-05 19:06:49 EDT
mcollective-2.0.0-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mcollective-2.0.0-6.fc18
Comment 7 Steve Traylen 2012-09-06 14:42:08 EDT
Hi,
  Bugzilla was "sick" yesterday.

  Please ignore comment #2 

  After discussion and comparison to upstream client.cfg is now 0644.

Steve.
Comment 8 Fedora Update System 2012-09-07 07:33:37 EDT
Package mcollective-2.0.0-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mcollective-2.0.0-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13463/mcollective-2.0.0-6.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-09-17 13:45:40 EDT
mcollective-2.0.0-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-09-17 19:22:17 EDT
mcollective-2.0.0-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-09-26 17:35:28 EDT
mcollective-2.0.0-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-09-26 17:36:43 EDT
mcollective-2.0.0-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.